version: '3'
services:
  vision-postgres:
    image: postgres:12-alpine
    volumes:
      - ./.data/postgresql:/var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: Test1234
      POSTGRES_USER: postgres
      POSTGRES_DB: vision
    ports:
      - '5432:5432'
    networks:
      - vision_internal

  vision-redis:
    image: redis:alpine
    ports:
      - '6379:6379'
    volumes:
      - ./.data/redis:/data
    entrypoint: redis-server --appendonly yes
    restart: always
    networks:
      - vision_internal

networks:
  vision_internal:
    external:
      name: vision_internal
